MOStringHelper
Date: 2012-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.xml.databases.existlibrary
Class MOStringHelper

    java.lang.Object
      org.gcube.common.xml.databases.existlibrary.MOStringHelper

    public class MOStringHelper

extends java.lang.Object

This class allows to read the basic fields from a string representing the MO as well to update the body section of the MO

Author:
  Manuele Simi

Constructor Summary
`MOStringHelper(java.lang.String metadata)` Create a new MOReader for the given MO

Method Summary
`java.lang.String` | `getCollectionID()` Get the member-of text value of the Metadata Object
`java.lang.String` | `getCreationTime()` Get the creation text value of the Metadata Object
`java.lang.String` | `getGeneratedByMOID()` Get the generatedByMoid value of the Metadata Object
`java.lang.String` | `getID()` Get the OID text value of the Metadata Object
`java.lang.String` | `getLastUpdateTime()` Get the lastUpdate text value of the Metadata Object
`java.lang.String` | `getMetadata()` Get the entire Metadata Object as string
`java.lang.String` | `getTargetID()` Get the targetID text value of the Metadata Object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MOStringHelper

    public MOStringHelper(java.lang.String metadata)

  Create a new MOReader for the given MO

  Parameters:
    `metadata` - a full XML representation of a Metadata Object

Method Detail

### getID

    public java.lang.String getID()
                           throws java.lang.Exception

  Get the OID text value of the Metadata Object

  Returns:
    the OID
  Throws:
    `java.lang.Exception` - if no OID element is found

### getCreationTime

    public java.lang.String getCreationTime()
                                     throws java.lang.Exception

  Get the creation text value of the Metadata Object

  Returns:
    the creation time as string
  Throws:
    `java.lang.Exception` - if no creation element is found

### getLastUpdateTime

    public java.lang.String getLastUpdateTime()
                                       throws java.lang.Exception

  Get the lastUpdate text value of the Metadata Object

  Returns:
    the last update time as string
  Throws:
    `java.lang.Exception` - if no lastUpdate element is found

### getTargetID

    public java.lang.String getTargetID()
                                 throws java.lang.Exception

  Get the targetID text value of the Metadata Object

  Returns:
    the targetID
  Throws:
    `java.lang.Exception` - if no targetID element is found

### getGeneratedByMOID

    public java.lang.String getGeneratedByMOID()
                                        throws java.lang.Exception

  Get the generatedByMoid value of the Metadata Object

  Returns:
    the Metadata Object ID of the MO from wich this MO has been generated
  Throws:
    `java.lang.Exception` - if no generatedByMoid element is found

### getCollectionID

    public java.lang.String getCollectionID()
                                     throws java.lang.Exception

  Get the member-of text value of the Metadata Object

  Returns:
    the Collection ID
  Throws:
    `java.lang.Exception` - if no member-of element is found

### getMetadata

    public java.lang.String getMetadata()

  Get the entire Metadata Object as string

  Returns:
    the metadata string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD